Bug 181833 - rfe: allow for the specification of a default search DN
rfe: allow for the specification of a default search DN
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: autofs (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
: FutureFeature
Depends On:
Blocks: 181411
  Show dependency treegraph
 
Reported: 2006-02-16 19:28 EST by Jeffrey Moyer
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2006-0464
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:20:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeffrey Moyer 2006-02-16 19:28:48 EST
Description of problem:
Currently, the automounter will look for the master map in the root of the ldap
server.  In some installations, there may be multiple master maps, one per site.
 In this case, you can't be sure which map will be returned.

Version-Release number of selected component (if applicable):
autofs-4.1.3-169
Comment 3 Jeffrey Moyer 2006-05-03 16:00:04 EDT
As with the RHEL 3 version, I have a test plan written up.  I had planned on
simply incluing it in the "How to test" section of the erratum.  But, here it is:

181833 - rfe: allow for the specification of a default search DN

First, set the following options in /etc/sysconfig/autofs:

DAEMONOPTIONS="--ghost"
ONE_AUTO_MASTER=1

Make sure that there is no BASEDN= line in the sysconfig file.  If there is
one, comment it out.

Next, modify the automount entry in /etc/nsswitch.conf to read:

automount: ldap

Finally, make sure that /etc/openldap/ldap.conf is configured properly.  It
should have the following:

HOST 172.16.58.1
BASE dc=devel,dc=redhat,dc=com

And now we are ready to test.

# service autofs start
Starting automount:                                        [  OK  ]
# service autofs status
Configured Mount Points:
------------------------
/usr/sbin/automount --timeout=60 --ghost /misc ldap
devserv.devel.redhat.com:nisMapName=auto.misc,dc=devel,dc=redhat,dc=com 
/usr/sbin/automount --timeout=60 --ghost /home ldap
devserv.devel.redhat.com:nisMapName=auto.home,dc=devel,dc=redhat,dc=com 
/usr/sbin/automount --timeout=60 --ghost /mnt ldap
devserv.devel.redhat.com:nisMapName=auto.mnt,dc=devel,dc=redhat,dc=com 

Active Mount Points:
--------------------
/usr/sbin/automount --timeout=60 --ghost /misc ldap
devserv.devel.redhat.com:nisMapName=auto.misc,dc=devel,dc=redhat,dc=com
/usr/sbin/automount --timeout=60 --ghost /home ldap
devserv.devel.redhat.com:nisMapName=auto.home,dc=devel,dc=redhat,dc=com
/usr/sbin/automount --timeout=60 --ghost /mnt ldap
devserv.devel.redhat.com:nisMapName=auto.mnt,dc=devel,dc=redhat,dc=com

If you don't see any mount points, there's a problem.

Now that we've verified that nothing broke for the default case, we need to
also verify that specifying a BASEDN actually works.

Modify /etc/sysconfig/autofs, adding the line:

BASEDN="dc=devel,dc=redhat,dc=com"

Now restart the automounter:

#service autofs restart

Again, 'service autofs status' should show the same output as listed above.
If not, the test failed.

Finally, we can perform a negative test.  Put in a bogus BASEDN, and verify
that it doesn't work.  Modify /etc/sysconfig/autofs:

BASEDN="dc=foo,dc=blah,dc=com"

and restart the automounter
#service autofs restart

This time you should get a "No mountpoints defined" error.  That indicates
a successful test.
Comment 7 Red Hat Bugzilla 2006-08-10 17:20:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0464.html

Note You need to log in before you can comment on or make changes to this bug.